---
title: "BatchQC Report"
date: "2016-11-24"
output: 
  html_vignette:
    toc: true
    toc_depth: 2
    template: batchQC.html
    self_contained: no
    lib_dir: libs
---


Summary
=======
## Confounding
### Number of samples in each Batch and Condition

-----------------------------------------------
     &nbsp;        Batch 1   Batch 2   Batch 3 
----------------- --------- --------- ---------
 **Condition 1**     10        10        10    

 **Condition 2**     10        10        10    
-----------------------------------------------

### Measures of confounding between Batch and Condition

----------------------------------------------------------------------
            &nbsp;                Standardized Pearson     Cramer's V 
                                 Correlation Coefficient              
------------------------------- ------------------------- ------------
  **Confounding Coefficients                0                  0      
 (0=no confounding, 1=complete                                        
        confounding)**                                                
----------------------------------------------------------------------

## Variation Analysis
### Variation explained by Batch and Condition
![](C:\Users\biocbuild\bbs-3.4-bioc\meat\BatchQC.Rcheck\tests_x64\testthat\batchqc_report_files/figure-html/unnamed-chunk-4-1.png)<!-- -->


----------------------------------------------------------
   &nbsp;      Full (Condition+Batch)   Condition   Batch 
------------- ------------------------ ----------- -------
  **Min.**             43.74                0       40.41 

 **1st Qu.**           54.41              1.23      49.91 

 **Median**             59.1              2.79      54.03 

  **Mean**             58.19              4.332     53.86 

 **3rd Qu.**           62.02              7.278     57.01 

  **Max.**             70.43              15.23     68.21 
----------------------------------------------------------

## P-value Analysis
### Distribution of Batch and Condition Effect p-values Across Genes

--------------------------------------------------------------------------------------------
         &nbsp;            Min.     1st Qu.   Median    Mean    3rd Qu.    Max.     Ps<0.05 
------------------------ --------- --------- --------- ------- --------- --------- ---------
   **Batch P-values**    2.887e-15 8.786e-12 7.659e-11 6.8e-09 6.747e-10 1.237e-07     1    

 **Condition P-values**  1.474e-05 0.002792   0.05374  0.1668   0.2239    0.9999     0.48   
--------------------------------------------------------------------------------------------

![](C:\Users\biocbuild\bbs-3.4-bioc\meat\BatchQC.Rcheck\tests_x64\testthat\batchqc_report_files/figure-html/unnamed-chunk-7-1.png)<!-- -->

![](C:\Users\biocbuild\bbs-3.4-bioc\meat\BatchQC.Rcheck\tests_x64\testthat\batchqc_report_files/figure-html/unnamed-chunk-8-1.png)<!-- -->


Differential Expression
=======================
## Expression Plot
Boxplots for all values for each of the samples and are colored by batch membership.

![](C:\Users\biocbuild\bbs-3.4-bioc\meat\BatchQC.Rcheck\tests_x64\testthat\batchqc_report_files/figure-html/unnamed-chunk-10-1.png)<!-- -->

## LIMMA

----------------------------------------------------------------------------
 &nbsp;   Condition: 2 (logFC)   AveExpr    t    P.Value   adj.P.Val    B   
-------- ---------------------- --------- ----- --------- ----------- ------
 **37**           1806            14910   4.545 7.592e-06  0.0003092  -4.594

 **47**           1759            15243   4.435 1.237e-05  0.0003092  -4.594

 **45**           1576            14915   4.051 6.287e-05  0.001006   -4.594

 **5**            1479            13003   3.945 9.658e-05  0.001006   -4.594

 **30**           1505            14329   3.931 0.0001022  0.001006   -4.594

 **42**           1525            14863   3.889 0.0001207  0.001006   -4.594

 **8**            1409            13215   3.694 0.0002566  0.001773   -4.594

 **22**           1428            14064   3.667 0.0002837  0.001773   -4.594

 **1**            1263            12961    3.3  0.001068   0.005423   -4.595

 **9**            1257            13170   3.295 0.001085   0.005423   -4.595
----------------------------------------------------------------------------


Median Correlations
===================
This plot helps identify outlying samples.
![](C:\Users\biocbuild\bbs-3.4-bioc\meat\BatchQC.Rcheck\tests_x64\testthat\batchqc_report_files/figure-html/unnamed-chunk-13-1.png)<!-- -->


Heatmaps
========
## Heatmap
This is a heatmap of the given data matrix showing the batch effects and variations with different conditions.
![](C:\Users\biocbuild\bbs-3.4-bioc\meat\BatchQC.Rcheck\tests_x64\testthat\batchqc_report_files/figure-html/unnamed-chunk-15-1.png)<!-- -->

## Sample Correlations
This is a heatmap of the correlation between samples.
![](C:\Users\biocbuild\bbs-3.4-bioc\meat\BatchQC.Rcheck\tests_x64\testthat\batchqc_report_files/figure-html/unnamed-chunk-16-1.png)<!-- -->


Circular Dendrogram
===================
This is a Circular Dendrogram of the given data matrix colored by batch to show the batch effects.
![](C:\Users\biocbuild\bbs-3.4-bioc\meat\BatchQC.Rcheck\tests_x64\testthat\batchqc_report_files/figure-html/unnamed-chunk-18-1.png)<!-- -->


PCA: Principal Component Analysis
=================================
## PCA
This is a plot of the top two principal components colored by batch to show the batch effects.
![](C:\Users\biocbuild\bbs-3.4-bioc\meat\BatchQC.Rcheck\tests_x64\testthat\batchqc_report_files/figure-html/unnamed-chunk-20-1.png)<!-- -->

## Explained Variation

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  &nbsp;    Proportion of Variance (%)   Cumulative Proportion of   Percent Variation Explained by   Percent Variation Explained by   Condition Significance   Percent Variation Explained by   Batch Significance (p-value) 
                                               Variance (%)           Either Condition or Batch                Condition                    (p-value)                      Batch                                             
---------- ---------------------------- -------------------------- -------------------------------- -------------------------------- ------------------------ -------------------------------- ------------------------------
 **PC1**              57.76                       57.76                          97.9                             5.8                           0                           92.2                             0               

 **PC2**              3.085                       60.84                          2.8                              0.4                         0.6418                        2.4                            0.504             

 **PC3**              2.922                       63.76                           12                              11.4                       0.00927                        0.6                            0.8275            

 **PC4**              2.637                        66.4                           4                                1                          0.4508                         3                             0.4187            

 **PC5**              2.327                       68.73                          6.5                              5.6                        0.07215                        0.9                            0.7629            

 **PC6**              2.178                        70.9                          0.1                               0                          0.9337                        0.1                            0.9687            

 **PC7**              1.943                       72.85                          3.5                              3.2                         0.1767                        0.3                            0.9221            

 **PC8**              1.919                       74.77                          1.3                               1                          0.4645                        0.3                            0.9167            

 **PC9**              1.699                       76.47                          1.9                              1.6                         0.3497                        0.3                            0.9183            

 **PC10**             1.668                       78.13                          8.1                              6.7                        0.04841                        1.4                            0.6502            

 **PC11**              1.6                        79.73                          1.1                              0.1                         0.813                          1                             0.7471            

 **PC12**             1.484                       81.22                          0.9                              0.2                         0.7258                        0.7                            0.8288            

 **PC13**             1.435                       82.65                          1.6                              0.7                         0.526                         0.9                            0.7699            

 **PC14**             1.351                         84                           4.4                              0.5                         0.6015                        3.9                            0.3272            

 **PC15**             1.224                       85.23                          2.3                               0                          0.9288                        2.3                            0.5214            

 **PC16**              1.17                        86.4                          9.3                              8.3                        0.02734                         1                             0.7388            

 **PC17**             1.114                       87.51                          1.7                              0.5                         0.5819                        1.1                            0.7275            

 **PC18**             1.055                       88.57                          7.1                               0                          0.9182                        7.1                            0.1262            

 **PC19**             0.9431                      89.51                          8.1                              4.1                         0.1196                         4                             0.3003            

 **PC20**             0.916                       90.43                          0.8                              0.2                         0.7322                        0.6                            0.849             

 **PC21**             0.8698                      91.29                          4.8                              4.3                         0.119                         0.5                            0.8612            

 **PC22**             0.7981                      92.09                          0.8                              0.1                         0.7989                        0.7                            0.8213            

 **PC23**             0.7724                      92.87                          5.4                              0.2                         0.7522                        5.2                            0.2224            

 **PC24**             0.6598                      93.53                          2.2                              1.6                         0.3443                        0.6                            0.8327            

 **PC25**             0.6144                      94.14                          4.1                              0.8                         0.4919                        3.3                            0.3885            

 **PC26**             0.6031                      94.74                          1.7                              1.4                         0.3782                        0.3                            0.915             

 **PC27**             0.5356                      95.28                          5.3                              0.4                         0.627                         4.9                            0.2449            

 **PC28**             0.5049                      95.78                          0.4                              0.1                         0.7876                        0.3                            0.9164            

 **PC29**             0.4804                      96.26                          0.6                              0.4                         0.6179                        0.2                            0.9564            

 **PC30**             0.4599                      96.72                          0.3                               0                          0.918                         0.3                            0.913             

 **PC31**             0.4299                      97.15                          6.4                               5                         0.09067                        1.5                            0.6461            

 **PC32**             0.3651                      97.52                          1.5                              0.7                         0.5338                        0.8                            0.7929            

 **PC33**             0.3473                      97.87                           3                               2.3                         0.2493                        0.7                            0.8193            

 **PC34**             0.2981                      98.16                          0.7                              0.1                         0.8064                        0.6                            0.8495            

 **PC35**             0.2729                      98.44                          1.1                              0.1                         0.8153                         1                             0.761             

 **PC36**             0.2341                      98.67                          1.2                              0.1                         0.7867                        1.1                            0.7395            

 **PC37**             0.201                       98.87                          1.6                               0                          0.9943                        1.6                            0.6331            

 **PC38**             0.1772                      99.05                          0.4                              0.2                         0.7315                        0.2                            0.9452            

 **PC39**             0.1651                      99.21                          0.2                              0.1                         0.7753                         0                             0.9889            

 **PC40**             0.1631                      99.38                          2.8                              2.6                         0.2297                        0.2                            0.9377            

 **PC41**             0.1337                      99.51                          1.2                              0.2                         0.7685                        1.1                            0.7385            

 **PC42**             0.1231                      99.63                          0.3                              0.3                         0.6894                         0                             0.9959            

 **PC43**            0.09662                      99.73                          2.2                              2.2                         0.2713                        0.1                            0.9789            

 **PC44**            0.06212                      99.79                          0.1                               0                          0.8839                         0                             0.9956            

 **PC45**            0.05731                      99.85                          3.1                               0                          0.8802                        3.1                            0.4137            

 **PC46**            0.04974                       99.9                          4.6                              0.1                         0.7969                        4.5                            0.2748            

 **PC47**            0.04013                      99.94                          2.9                              2.2                         0.2676                        0.7                            0.8094            

 **PC48**             0.0255                      99.97                          16.1                             1.6                         0.3096                        14.5                          0.01154            

 **PC49**            0.02197                      99.99                          6.4                              3.7                         0.1432                        2.7                            0.4556            

 **PC50**            0.01269                       100                           4.9                               1                          0.4552                         4                             0.3197            
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


Shape
=====
This is a heatmap plot showing the variation of gene expression mean, variance, skewness and kurtosis between samples grouped by batch to see the batch effects variation
![](C:\Users\biocbuild\bbs-3.4-bioc\meat\BatchQC.Rcheck\tests_x64\testthat\batchqc_report_files/figure-html/unnamed-chunk-23-1.png)<!-- -->

```
## Note: Sample-wise p-value is calculated for the variation across samples on the measure across genes. Gene-wise p-value is calculated for the variation of each gene between batches on the measure across each batch. If the data is quantum normalized, then the Sample-wise measure across genes is same for all samples and Gene-wise p-value is a good measure.
```


Combat Plots
============
This is a plot showing whether parametric or non-parameteric prior is appropriate for this data. It also shows the Kolmogorov-Smirnov test comparing the parametric and non-parameteric prior distribution.

```
## Found 3 batches
## Adjusting for 1 covariate(s) or covariate level(s)
## Standardizing Data across genes
## Fitting L/S model and finding priors
```

![](C:\Users\biocbuild\bbs-3.4-bioc\meat\BatchQC.Rcheck\tests_x64\testthat\batchqc_report_files/figure-html/unnamed-chunk-25-1.png)<!-- -->![](C:\Users\biocbuild\bbs-3.4-bioc\meat\BatchQC.Rcheck\tests_x64\testthat\batchqc_report_files/figure-html/unnamed-chunk-25-2.png)<!-- -->![](C:\Users\biocbuild\bbs-3.4-bioc\meat\BatchQC.Rcheck\tests_x64\testthat\batchqc_report_files/figure-html/unnamed-chunk-25-3.png)<!-- -->![](C:\Users\biocbuild\bbs-3.4-bioc\meat\BatchQC.Rcheck\tests_x64\testthat\batchqc_report_files/figure-html/unnamed-chunk-25-4.png)<!-- -->

```
## Batch mean distribution across genes: Normal vs Empirical distribution
## Two-sided Kolmogorov-Smirnov test
## Selected Batch: 1
## Statistic D = 0.07919
## p-value = 0.8879
## 
## 
## Batch Variance distribution across genes: Inverse Gamma vs Empirical distribution
## Two-sided Kolmogorov-Smirnov test
## Selected Batch: 1
## Statistic D = 0.18
## p-value = 0.3959Note: The non-parametric version of ComBat takes much longer time to run and we recommend it only when the shape of the non-parametric curve widely differs such as a bimodal or highly skewed distribution. Otherwise, the difference in batch adjustment is very negligible and parametric version is recommended even if p-value of KS test above is significant.
```


SVA
===
## Summary

```
## Number of Surrogate Variables found in the given data: 1
```
